Show / Hide Table of Contents

# Struct hkaAnimationControl

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaAnimationControl

### Fields

| Improve this Doc View Source

#### Binding

##### Declaration

    public hkRefPtr<hkaAnimationBinding> Binding

##### Field Value

Type | Description
--- | ---
hkRefPtr<hkaAnimationBinding> |

| Improve this Doc View Source

#### FloatTrackWeights

##### Declaration

    public hkArray<byte> FloatTrackWeights

##### Field Value

Type | Description
--- | ---
hkArray<System.Byte> |

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### Listeners

##### Declaration

    public hkArray<Pointer<hkaAnimationControlListener>> Listeners

##### Field Value

Type | Description
--- | ---
hkArray<Pointer<hkaAnimationControlListener>> |

| Improve this Doc View Source

#### LocalTime

##### Declaration

    public float LocalTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MotionTrackWeight

##### Declaration

    public float MotionTrackWeight

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TransformTrackWeights

##### Declaration

    public hkArray<byte> TransformTrackWeights

##### Field Value

Type | Description
--- | ---
hkArray<System.Byte> |

| Improve this Doc View Source

#### Weight

##### Declaration

    public float Weight

##### Field Value

Type | Description
--- | ---
System.Single |

### Methods

| Improve this Doc View Source

#### Ctor1(hkaAnimationBinding*)

##### Declaration

    public void Ctor1(hkaAnimationBinding*binding)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaAnimationBinding* | binding |

| Improve this Doc View Source

#### RemoveAnimationControlListener(hkaAnimationControlListener*)

##### Declaration

    public void RemoveAnimationControlListener(hkaAnimationControlListener*listener)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaAnimationControlListener* | listener |